petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscSFGetLeafRanks

Get leaf ranks referencing roots on this process

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFGetLeafRanks(PetscSF sf,PetscInt *niranks,const PetscMPIInt **iranks,const PetscInt **ioffset,const PetscInt **irootloc)

Not Collective

### Input Arguments

sf -star forest

### Output Arguments

| niranks | - number of leaf ranks referencing roots on this process
| iranks | - array of ranks
| ioffset | - offset in irootloc for each rank (length niranks+1)
| irootloc | - concatenated array holding local indices of roots referenced by each leaf rank

### See Also

PetscSFGetRootRanks()

### Level

developer

### Location

src/vec/is/sf/interface/sf.c

### Implementations

PetscSFGetLeafRanks_Allgatherv in src/vec/is/sf/impls/basic/allgatherv/sfallgatherv.c
PetscSFGetLeafRanks_Basic in src/vec/is/sf/impls/basic/sfbasic.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages